#include <iostream>
 
using namespace std;
 
int main(){
	int n, p;
	cin >> n >> p;
	int s[n];
	for ( int i = 0; i < n; i++ ){
		cin >> s[i];
	}
	for (int i = 0; i < n; i++ ){
		if ( s[i] <= p ){
			cout << i + 1;
			return 0;
		}
	}
	cout << -1;
	return 0;
}